Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CEC_EventChannel.h File Reference

`#include "CEC_Factory.h"`
`#include "orbsvcs/CosEventChannelAdminS.h"`
`#include "CEC_Defaults.h"`
`#include "event_export.h"`

Include dependency graph for CEC_EventChannel.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_CEC_EventChannel
| The CosEventChannelAdmin::EventChannel implementation. More...
class | TAO_CEC_EventChannel_Attributes
| Defines the construction time attributes for the Event Channel. More...

## Detailed Description

Id:
  CEC_EventChannel.h,v 1.13 2003/10/28 18:34:18 bala Exp

Author:
  Carlos O'Ryan (coryan@cs.wustl.edu)

A new implementation of the COS Event Channel. This version does not rely on the RTEC in its implementation.